Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

syslog-ng-sql-3.19.1-lp151.3.3.1 RPM for armv7hl

From OpenSuSE Ports Leap 15.1 updates for armv7hl

Name: syslog-ng-sql Distribution: openSUSE Leap 15.1
Version: 3.19.1 Vendor: openSUSE
Release: lp151.3.3.1 Build date: Tue Nov 5 17:55:50 2019
Group: System/Daemons Build host: obs-arm-6
Size: 51556 Source RPM: syslog-ng-3.19.1-lp151.3.3.1.src.rpm
Packager: http://bugs.opensuse.org
Url: http://syslog-ng.org/
Summary: SQL support using DBI for syslog-ng
This package provides the libafsql module providing support for
logging into a SQL database using DBI.

Provides

Requires

License

GPL-2.0-only

Changelog

* Tue Nov 05 2019 Thomas Blume <thomas.blume@suse.com>
  - fix timezone package parsing (bsc#1152420)
    0001-zoneinfo-update-TZ-file-header-and-body-comment.patch
    0002-zoneinfo-fix-typos.patch
    0003-zoneinfo-rename-isgmtcnt-to-isutcnt.patch
    0004-zoneinfo-remove-untrue-assumptions.patch
* Fri Apr 12 2019 root <peter@czanik.hu>
  - oops, forgot to update version in syslog-ng.conf again...
  - moved slack SCL to curl sub-package to silence warning
    on startup
* Wed Jan 30 2019 Dominique Leuenberger <dimstar@opensuse.org>
  - Dynamically detect used python3 version.
* Tue Jan 08 2019 peter@czanik.hu
  - added 2482.patch to resolve GPL-2.0 vs. BSD-4-Clause
    compatibility problem.
* Fri Dec 21 2018 schwab@suse.de
  - Allow building with java 1.8.0.
  - Use %license
* Mon Dec 17 2018 peter@czanik.hu
  - updated to 3.19.1
  - changed summary again
* Tue Nov 27 2018 Jan Engelhardt <jengelh@inai.de>
  - Replace time-sensitive wording of summary.
  - Drop %if..%endif guards that are idempotent.
  - Replace %__-type macro indirections.
* Mon Nov 12 2018 peter@czanik.hu
  - update to 3.18.1
  - remove support for SLES11 (sysvinit)
  - add support to compile on SLES12+ and Leap 42+
  - tons of clean-up
* Thu May 31 2018 peter@czanik.hu
  - added network.target to syslog-ng.service
    to resolve bnc#1077975
* Fri Apr 06 2018 peter@czanik.hu
  - update to syslog-ng 3.14.1
  - remove patch, as merged upstream:
    0001-modules-json-Adaptions-for-json-c-v0.13.patch
  - remove patch and revert to jdk 1.7 as 1.9 is problematic:
    syslog-ng-3.10.1-sourcetarget.patch
  - add secret-storage, appmodell and SCL files
* Wed Jan 10 2018 Thomas.Blume@suse.com
  - fix build error with json-c v0.13 with patch
    0001-modules-json-Adaptions-for-json-c-v0.13.patch
* Tue Jan 09 2018 peter@czanik.hu
  - disable Java destination temporarily (it does not build)
* Tue Dec 05 2017 peter@czanik.hu
  - fix %post and mongodb as requested by @idonmez
* Wed Nov 29 2017 peter@czanik.hu
  - update to syslog-ng 3.12.1
  - add tags parser
  - add xml parser
  - add Windows eventlog parser
  - add syslog-ng-debun + man
  - handle evtlog merge (add obsolates, new files, etc.)
  - use Python version of merge-grammar
  - add libmaxminddb-devel BuildRequires for the geoip2 parser
  - add geoip2 parser
  - add osquery parser (scl)
  - Replace references to /var/adm/fillup-templates with new
    %_fillupdir macro (boo#1069468) (by @RBrownSUSE)
  - WARNING:
    disable RabbitMQ and AMQP support as they fail
    to compile with openssl 1.1
    Will be most likely re-enabled in 3.14.1
* Wed Oct 11 2017 jengelh@inai.de
  - Update package summaries and RPM group classifications.
    Drop author lists from descriptions. Remove redundant %clean
    section. Replace old $RPM_ shell vars and make consistent use
    of macros instead.
* Tue Oct 10 2017 fstrba@suse.com
  - Do not hardcode dependency on java-1_7_0-openjdk, depend on
    java-devel >= 1.7 instead
  - Added patch:
    * syslog-ng-3.10.1-sourcetarget.patch
      + Build Java classes with the lowest required source and target
      levels.
* Wed Jun 21 2017 peter@czanik.hu
  - update to version 3.10.1
  - update config version
  - libcurl.so renamed to libhttp.so
  - added module libtfgetent.so
  - added module libmap-value-pairs.so
  - added module libstardate.so
  - added cisco parser (scl)
  - added snmptrapd parser files
  - add pkgconfig for add-contextual-data
  - don't compile curl dest on SLES 11
* Sun Apr 02 2017 meissner@suse.com
  - require group and user "news" in new system model.
* Fri Sep 09 2016 peter@czanik.hu
  - really update config version to 3.8 (thanks Per for the report)
  - move curl (HTTP) support into a subpackage
    to reduce the number of dependencies in the base package
* Tue Aug 23 2016 peter@czanik.hu
  - update to 3.8.1
    for a complete list of changes see:
    https://github.com/balabit/syslog-ng/releases/tag/syslog-ng-3.8.1
  - add Java support. NOTE:
    no modules due to missing gradle and JAR dependencies
  - add curl HTTP support
  - disable mongodb for SLES11 (fails to compile)
  - update configuration to 3.8
  - change datadir parameter (default now includes 'syslog-ng')
  - add cef & date modules, apache, loggly, logmatic scl-s
  - add disk buffer support
  - update java module list
  - uncomment Alias=syslog.service in syslog-ng.service
  - rename system-expand to system-expand.sh
  - add missing: Obsolates: syslog-ng-json (JSON is now in core)
* Wed Jun 01 2016 peter@czanik.hu
  - fix bnc#965191 by adding back "Alias=syslog.service" to
    "syslog.service"
  - update to 3.7.3, which fixes many small bugs
    https://github.com/balabit/syslog-ng/releases/tag/syslog-ng-3.7.3
  - remove obsolate e30fe7c3717a7bda4036448c7777747df1a4e0f9.patch
  - using self generated dist tgz, as official tgz is missing
    generated man pages
  - fix bnc#982487 by copying config.h manually
* Mon Sep 07 2015 czanik@balabit.hu
  - update to syslog-ng 3.7.1
  - for a detailed changelog, see upstream at:
    https://github.com/balabit/syslog-ng/releases/tag/syslog-ng-3.7.1
    and
    https://github.com/balabit/syslog-ng/releases/tag/syslog-ng-3.6.1
  - FYI: no java support due to lack of gradle
  - follow geoip modul name change (tfgeoip -> geoip-plugin)
  - add libkvformat.so
  - remove notls workaround (openssl is now a hard dependency)
  - add python support
  - update version in syslog-ng.conf
  - move json support to core
  - tmp patch to fix compilation on SLES11:
    e30fe7c3717a7bda4036448c7777747df1a4e0f9.patch
  - SLES notes: some core dependencies are missing, so you need to
    build in your home repo and have json, libevtlog from Factory
* Wed Mar 25 2015 Led <ledest@gmail.com>
  - fix shebang in syslog-ng-service-prepare script that contains
    bash-specific constructions
* Tue Mar 03 2015 dimstar@opensuse.org
  - Do not BuildRequire libhiredis0_10: It's responsibility of the
    respective -devel package to pull in the library. On openSUSE <
    13.2.1 (Current Tumbleweed) we keep it to workaround a bug in
    the hiredis-devel package of those releases.

Files

/usr/lib/syslog-ng
/usr/lib/syslog-ng/libafsql.so


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon Dec 9 00:28:19 2019